
Redmine - Defect #10045

Postgresl: Bulk edit ->  PGError: ERROR:  invalid input syntax for integer

2012-01-23 16:30 - Christian Zagrodnick

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.3.0

Description

After the bulk edit I get an 500 internal server error:

Processing IssuesController#index (for 195.62.106.104 at 2012-01-23 16:24:51) [GET]

  Parameters: {"v"=>{"fixed_version_id"=>["437?c[]=project", "437"]}, "group_by"=>"", "op"=>{"fixe

d_version_id"=>"=", "status_id"=>"o"}, "project_id"=>"zeit-cms", "c"=>[" 

project", "tracker", "status", "priority", "subject", "assigned_to", "updated_on", "category", "fi

xed_version", "tracker", "status", "priority", "subject", "assigned_to",

 "updated_on", "category", "fixed_version"], "set_filter"=>"1", "action"=>"index", "f"=>["status_i

d", "fixed_version_id", "", "status_id", "fixed_version_id", ""], "contr

oller"=>"issues"}

Query::StatementInvalid: PGError: ERROR:  invalid input syntax for integer: "437?c[]=project" 

LINE 1: ...es".status_id WHERE ((issues.fixed_version_id IN ('437?c[]=p...

                                                             ^

: SELECT count(DISTINCT "issues".id) AS count_all FROM "issues"  LEFT OUTER JOIN "projects" ON "pr

ojects".id = "issues".project_id  LEFT OUTER JOIN "issue_statuses" ON "issue_statuses".id = "issue

s".status_id WHERE ((issues.fixed_version_id IN ('437?c[]=project','437')) AND (issue_statuses.is_

closed='f') AND projects.id IN (33,47,46,79,115,88,87,86,91,96,89,116,90,95,98,118,109,85,93,92)) 

AND (projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.n

ame='issue_tracking')) 

 Interestingly the URL contains the parameters twice:

https://projects.gocept.com/projects/zeit-cms/issues?c[]=project&c[]=tracker&c[]=status&c[]=priority&c[]=subject&c[]=assigned_to&c[]

=updated_on&c[]=category&c[]=fixed_version&f[]=status_id&f[]=fixed_version_id&f[]=&group_by=&op[fixed_version_id]==&op[status

_id]=o&set_filter=1&v[fixed_version_id][]=437?c[]=project&c[]=tracker&c[]=status&c[]=priority&c[]=subject&c[]=assigned_to&c[]=upda

ted_on&c[]=category&c[]=fixed_version&f[]=status_id&f[]=fixed_version_id&f[]=&group_by=&op[fixed_version_id]==&op[status_id]=o

&set_filter=1&v[fixed_version_id][]=437

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.7

Rack version              1.1.1

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /srv/redmine/redmine

Environment               production

Database adapter          postgresql

Database schema version   20110902000000

About your Redmine plugins

Redmine Time Column plugin   0.0.1

Redmine Quips plugin         0.0.2

History

#1 - 2012-04-05 11:20 - Etienne Massip

Try with no plugin installed?
https://projects.gocept.com/projects/zeit-cms/issues?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437
https://projects.gocept.com/projects/zeit-cms/issues?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437
https://projects.gocept.com/projects/zeit-cms/issues?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437
https://projects.gocept.com/projects/zeit-cms/issues?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437
https://projects.gocept.com/projects/zeit-cms/issues?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437?c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=fixed_version_id&f%5B%5D=&group_by=&op%5Bfixed_version_id%5D==&op%5Bstatus_id%5D=o&set_filter=1&v%5Bfixed_version_id%5D%5B%5D=437


#2 - 2013-01-15 10:51 - Daniel Felix

- Status changed from New to Needs feedback

Any feedback on this? Does anyone else encounter this bug?

@ author: Any news after trying it without your plugins or with a newer release of redmine?

If there's no feedback on this issue, I'm closing this.

#3 - 2013-01-15 13:12 - Christian Zagrodnick

This was fixed with a new version. Close please.

#4 - 2013-01-15 13:31 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to Fixed

Thanks for the quick feedback! Closed.

#5 - 2014-02-28 15:21 - John Grubb

I just migrated to Postgres a couple days ago and bumped into this error this morning. Same issue, the query string is being repeated.

Environment:

  Redmine version                2.4.3.stable

  Ruby version                   2.1.1-p76 (2014-02-24) [x86_64-linux]

  Rails version                  3.2.16

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.6.17

  Git                            1.7.9.5

  Filesystem                     

Redmine plugins:

  issuefy                        0.1.7

  redmine_backlogs               v1.0.6

  redmine_extended_watchers      0.0.2

  redmine_stealth                0.6.0

  sidebar_hide                   0.0.4
